<?php 
  $user_info = $this->getSession()->get('session') ;
  
  $user_id = $user_info['id'] ;
  /* Bricolage d'un groupe super_admin */
  $login = $user_info['login'] ;
  $is_admin =   ( $login == 'cgicquel' ) ? true : false ;
  
  $sitefouille_id = $this->getSession()->get('sitefouille_id') ; 

?>
<script type="text/javascript">

  $(document).ready(function(){
    $.ajax({
			type:"GET",
			url: "<?php echo $this->getRequest('Dashboard_Sitefouille','Timeline' ) ; ?>",
			// data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/is_loading.gif" /></span>'),
			success: function(returnData_dashboard){
				$("#Analyser_content").html(returnData_dashboard);					
			},
      error: function(xhr, status, error){
      }
		});
    
    $.ajax({
			type:"GET",
			url: "<?php echo $this->getRequest('Dashboard_Sitefouille','Planning') ; ?>",
			// data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/is_loading.gif" /></span>'),
			success: function(returnData_planning){
				$("#planning_content").html(returnData_planning);					
			},
      error: function(xhr, status, error){
      }
		});
/*
    $('[id^="#detail_"]').live('click', function(){
      alert($(this) );
      var myvarUS = $(this);
      var myvarUS_array = myvarUS.attr('id').split('_') ;
      var us_id = myvarUS_array[1];
      $.ajax({
  			type:"GET",
  			url: "<?php echo $this->getRequest('us','show') ; ?>'+us_id+'",
  			data: "",
        // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/is_loading.gif" /></span>'),
  			success: function(returnData_US){
  				$("#detail_info").html(returnData_US);					
  			},
        error: function(xhr, status, error){
        }
      }); 
    });
*/
  });

</script>

<div>
<h2 class="page-header">Analyses 
<?php 
  if($this->getSession()->has('title_precision')){
    echo $this->getSession()->get('title_precision', 'Html');                    
  } 
?>
</h2>

<!-- Nav tabs -->
<ul class="nav nav-pills nav-tabs nav-justified" role="tablist">
  <li role="presentation" class="active"><a href="#dashboard" role="tab" data-toggle="tab">Dashboard</a></li>
  <li role="presentation"><a href="#us" role="tab" data-toggle="tab">Unit&eacute;s Stratigraphiques</a></li>
  <li role="presentation"><a href="#er" role="tab" data-toggle="tab">El&eacute;ments Recueillis</a></li>
    <?php if($is_admin ):  ?>
  <li role="presentation"><a href="#debug" role="tab" data-toggle="tab">Debug</a></li>
    <?php endif;  ?>
</ul>

<!-- Tab panes -->
<div class="tab-content">
  <div role="tabpanel" class="tab-pane active" id="dashboard">
    <!-- Contenu du Dashboard-->
    <p>    
    <div id="dashboard-content">
      <?php 
       echo $this->getResponse('Analyser_Sitefouille', 'dashboard', array($sitefouille_id) );                               
		  ?>
    </div>
    </p>
  </div>


  <div role="tabpanel" class="tab-pane" id="us">
    <div id="us-content">
    <p>
      <div id="us-timeline">
        <?php 
         // echo $this->getResponse('Analyser_Us', 'UsTimeline', array('layout' => false) ); 
         echo $this->getResponse('Analyser_Us', 'PeriodeTimeline', array('layout' => false) );                            
  		  ?>
      </div>
    </p>
    <p>
    <div id="us_list"></div>
    </p>
    </div>  
  </div>
  <div role="tabpanel" class="tab-pane" id="er">
    <div id="er-content">
    <style>
    .container_stats_classe{
      margin: 0 auto;
      /* height: 400px; */
      width: 500px; 
      
    }
    .container_stats_fonction{
      margin: 0 auto;
      /* height: 400px; */
      width: 500px; 
      
    }
    
    </style>
    <p>
      <div id="er-classe">
        <div class="col-md-6">
          <!-- Insertion direct du graphique -->
          <div class="panel panel-default">
            <div class="panel-heading">
              <h3 class="panel-title">Classes des El&eacute;ments Recueillis </h3>
            </div>
            <div class="panel-body">
              <div id="er_classe_bar">
                <?php 
                 echo $this->getResponse('Analyser_Elementrecueilli', 'classe', array('layout' => false, 'render' => 'bar' ) );                                        
          		  ?>      
              </div>
            </div>
            
          </div>
        </div>
        
        <?php 
         // echo $this->getResponse('Analyser_Elementrecueilli', 'Classe' );
  		  ?>
      </div>
    </p>
    
    <p>
      <div id="er-fonction">
      <!-- Insertion direct du graphique -->
        <div class="col-md-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h3 class="panel-title">Fonctions des El&eacute;ments Recueillis</h3>
            </div>
            <div class="panel-body">
              <div id="er_statut_bar">
                <?php 
                 echo $this->getResponse('Analyser_Elementrecueilli', 'fonction', array('layout' => false, 'render' => 'bar' ) );                                        
          		  ?>      
              </div>
            </div>
            
          </div>
        </div>
        <?php 
         // echo $this->getResponse('Analyser_Elementrecueilli', 'Fonction', array('layout' => false, 'render' => 'histo3d') );                                        
         // echo $this->getResponse('Analyser_Elementrecueilli', 'Fonction'  );
  		  ?>
      </div>
    </p>
    </div>
  </div>  
  <div role="tabpanel" class="tab-pane" id="debug">
    <div id="debug-content">
      <p>
       <div class="panel panel-warning">
        <div class="panel-body">
          <?php 
           echo $this->getResponse('Index', 'Debug', array(false) );
           $this->getLayout()->setEnabled(true);                               
    		  ?>
        </div>
      </div>
      </p>
    </div>
  </div>
</div>

</div>

